Subject: Re: [Ltru] Draft-4645bis, as you like it

From: "Mark Davis" <[email-masked]>
Date: Tue, 12 Feb 2008 11:17:37 -0800

I did a diff of

http://www.iana.org/assignments/language-subtag-registry
(File-Date: 2008-01-02)

and

http://home.roadrunner.com/~dewell/lstreg-4646bis-draft-04.txt
(File-Date: 2029-09-09)

Very nice work!

1. One thing I noticed was that the following

%%
Type: language
Subtag: anp
Description: Angika
Added: 2006-03-08

was moved in location. I think this was to have all the language subtags be
in the order: first 2 letter, then 3 letter. I like having a consistent
ordering in the files, but for the purpose of review, it might be nice to
generate an additional version which was first 639-1, then 639-2, then
639-3, if that isn't too difficult.

2. You caught many of the preferred values, but:
%%
Type: grandfathered
Tag: zh-min
Description: Min, Fuzhou, Hokkien, Amoy, or Taiwanese
Added: 1999-12-18
Deprecated: 2029-09-09
%%

This should have the Preferred-Value: min

3. Others:

Preferred-Value: zh-hakka
Preferred-Value: zh-cmn

4. It would be nice if we could get to the point where we have replacements
for all the grandfathered items (except perhaps i-default -- although even
for that 'und' could probably serve). As far as I can tell from a visual
scan of the file, those are just the following (does that match what you
think, Doug?).

%%
Type: grandfathered
Tag: cel-gaulish
Description: Gaulish
Added: 2001-05-25
%%

%%
Type: grandfathered
Tag: en-GB-oed
Description: English, Oxford English Dictionary spelling
Added: 2003-07-09
%%

%%
Type: grandfathered
Tag: i-enochian
Description: Enochian
Added: 2002-07-03
%%

%%
Type: grandfathered
Tag: i-mingo
Description: Mingo
Added: 1997-09-19
%%

5. We should also do a mechanical test to make sure that there are no
discrepancies -- that is, the equivalent of having two implementations of
Doug's generation. Doug, I assume that you'll do the final generation with
the latest available 639-3 files. Which version are you using for this?

6. Issue: if we allow a Comment at the top level of the file, we could put
in the latest version numbers/dates of different standards that we draw
from...

Mark

On Jan 27, 2008 9:19 PM, Doug Ewell <[email-masked]> wrote:

> I've created a new RFC 4645bis download page, in hopes of getting more
> people to review draft-ietf-ltru-4645bis in their own way, before it
> goes up for WG and IETF Last Calls.
>
> http://www.ewellic.org/rfc4645bis.html
>
> Here you can find both the current version (-03) and editor's copy (-04)
> of draft-ietf-ltru-4645bis, in text or HTML format, with or without the
> voluminous replacement Registry contents.  You can also download the
> proposed Registry contents alone, with over 7,000 new subtags, in UTF-8.
>
> Some people have specifically asked for Registry-only, or Registry-free,
> versions of this draft.  I hope providing them will encourage more
> people to review parts of the draft they are interested in.
>
> The main difference between -03 and -04 is updates to the references to
> draft-4646bis-11 and to the latest ISO 639-3 data files.  Of course, the
> data files reflect hundreds of changes approved by ISO 639-3/RA, and
> consequently the Registry contents are quite different.  There is one
> additional, very minor change: I changed the word "uninverted" in
> Section 2.1 to "non-inverted" to avoid giving the false impression that
> the 639-3 reference name ever appears in inverted form and must then be
> "uninverted."
>
> --
> Doug Ewell  *  Fullerton, California, USA  *  RFC 4645  *  UTN #14
> http://www.ewellic.org
> http://www1.ietf.org/html.charters/ltru-charter.html
> http://www.alvestrand.no/mailman/listinfo/ietf-languages  ˆ
>
>
>
> _______________________________________________
> Ltru mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ltru
>

-- 
Mark
_______________________________________________
Ltru mailing list
[email-masked]
http://www.ietf.org/mailman/listinfo/ltru

---

From: Peter Constable <[email-masked]>
Date: Tue, 12 Feb 2008 11:27:35 -0800

From: [email-masked] [mailto:[email-masked]] On Behalf Of Mark Davis

> This should have the Preferred-Value: min

Hang on... "min" denotes an Malayo-Polynesian language, Minangkabau, quite unrelated to Chinese. Doug's got this right: "zh-min" should just be deprecated.

Peter

---

From: "Mark Davis" <[email-masked]>
Date: Tue, 12 Feb 2008 11:38:45 -0800

Ok, sorry for the confusion. Then add this to the point below that one --
are there any tags we can use to provide replacements for the remaining
grandfathered tags?

Mark

On Feb 12, 2008 11:27 AM, Peter Constable <[email-masked]> wrote:

> Hang on... "min" denotes an Malayo-Polynesian language, Minangkabau, quite
> unrelated to Chinese. Doug's got this right: "zh-min" should just be
> deprecated.
>
>
> Peter

---

From: John Cowan <[email-masked]>
Date: Tue, 12 Feb 2008 14:49:22 -0500

> This should have the Preferred-Value: min

In fact not.  "Min" is a group of Sinitic languages with certain common
features and a presumed common descent; it has no ISO 639-* equivalent
and is not considered useful for language tagging purposes.  The code
element 'min' refers to Minangkabau, a Malayan language of Sumatra.

> 4. It would be nice if we could get to the point where we have
> replacements for all the grandfathered items (except perhaps i-default

I agree.

> -- although even for that 'und' could probably serve). 

i-default text is very special; in particular, it MUST be intelligible
to a monolingual anglophone, though non-English text may be present as
well. See http://www.ietf.org/mail-archive/web/ltru/current/msg04190.html .
i-default is not at all the same as "language undetermined",
which might (e.g.) be wholly in Minangkabau.

> Added: 2001-05-25

The difficulty here is that 639-3 added tags for Cisalpine and Transalpine
Gaulish, but none for Gaulish as such.

> Description: English, Oxford English Dictionary spelling

IMHO this is not worth changing.

> Added: 2002-07-03

The trick here would be to get Linguist List to register Enochian.
I doubt whether it meets the criteria for registered conlangs.  We could
register it ourselves as "enochian", but I don't think there's any point.

> Added: 1997-09-19

Mingo is pretty certainly a dialect of Seneca in linguistic terms,
but is sociolinguistically distinct.  It has no ISO 639 recognition.
It is nearly extinct.

-- 
John Cowan          http://www.ccil.org/~cowan        [email-masked]
To say that Bilbo's breath was taken away is no description at all.  There are
no words left to express his staggerment, since Men changed the language that
they learned of elves in the days when all the world was wonderful. --The Hobbit
_______________________________________________
Ltru mailing list
[email-masked]
http://www.ietf.org/mailman/listinfo/ltru

---

From: "Randy Presuhn" <[email-masked]>
Date: Tue, 12 Feb 2008 14:55:33 -0800

Hi -

PLEASE PLEASE PLEASE PLEASE
ONE technical comment per message, and
a subject line identifying the topic and the document.
Please don't compel me to resume putting our issues back into
the RT tracker!

Randy
----- Original Message ----- 
> From: "Mark Davis" <[email-masked]>
> To: "Doug Ewell" <[email-masked]>
> Cc: "LTRU Working Group" <[email-masked]>
> Sent: Tuesday, February 12, 2008 11:17 AM
> Subject: Re: [Ltru] Draft-4645bis, as you like it
>
> I did a diff of
>

--------------------------------------------------------------------------------

---

From: "Randy Presuhn" <[email-masked]>
Date: Tue, 12 Feb 2008 15:10:07 -0800

Hi -

(Starting new subject line for sanity)

> Subject: Re: [Ltru] Draft-4645bis, as you like it
...
> This should have the Preferred-Value: min
...

As I read the thread the rough consensus is to *not* make
the proposed change.

Randy
as ltru co-chair

---

From: "Randy Presuhn" <[email-masked]>
Date: Tue, 12 Feb 2008 15:12:32 -0800

Hi -

New subject line for sanity.  Please discuss on this thread
so we know whether a change is agreed or not.  (It's not
even clear to me what change is being proposed for this item!)

> Subject: Re: [Ltru] Draft-4645bis, as you like it
..
...

Randy

---

From: "Randy Presuhn" <[email-masked]>
Date: Tue, 12 Feb 2008 15:13:33 -0800

Hi -

..
...

Randy

---

From: "Randy Presuhn" <[email-masked]>
Date: Tue, 12 Feb 2008 15:15:11 -0800

Hi -

New subject line for sanity...

...
...

Randy

---

From: "Randy Presuhn" <[email-masked]>
Date: Tue, 12 Feb 2008 15:17:13 -0800

Hi -

...
...

RAndy

---

From: "Mark Davis" <[email-masked]>
Date: Tue, 12 Feb 2008 15:44:12 -0800

correct. I'll go through and clean up the message with specifics in separate
messages/subjects

---

From: Addison Phillips <[email-masked]>
Date: Tue, 12 Feb 2008 19:11:38 -0800

Mark,

Do you mean:

1. Allow a Comment field in the File-Date record

or..

2. Allow file level comments as in draft-record-jar [1]

Addison

[1] 
http://www.inter-locale.com/ID/draft-phillips-record-jar-01.html#comments

-- 
Addison Phillips
Globalization Architect -- Yahoo! Inc.
Chair -- W3C Internationalization Core WG

Internationalization is an architecture.
It is not a feature.
_______________________________________________
Ltru mailing list
[email-masked]
http://www.ietf.org/mailman/listinfo/ltru

---

From: "Mark Davis" <[email-masked]>
Date: Wed, 13 Feb 2008 12:13:49 -0800

I meant #1. I suggested concrete text for this in "Proposed edits
(davis)" sent Feb 13, 2008 11:01 AM, under MD6 and MD12. (We can also
further wordsmith that suggestion, if people agree on the direction.)

Mark

---

From: "Randy Presuhn" <[email-masked]>
Date: Wed, 13 Feb 2008 12:34:55 -0800

Hi -

> To: "Addison Phillips" <[email-masked]>
> Cc: "Randy Presuhn" <[email-masked]>; "LTRU Working Group" <[email-masked]>
> Sent: Wednesday, February 13, 2008 12:13 PM
> Subject: Re: [Ltru] source standards' dates in comment registry Draft-4645bis
>

...

As a technical contributor...

I'd prefer to *not* make this kind of a change.
It is enough for the 4645bis i-d to identify the versions used.
Adding this information to the registry itself opens yet another
opportunity for maintenance errors, and in no way aids the use or
interpretation of language tags.

Randy

---

From: "Mark Davis" <[email-masked]>
Date: Wed, 13 Feb 2008 12:57:58 -0800

There are really 2 separate things here.

MD6a. Should we add the ability to have Comments in the File-Date record?

We have had various cases come up where we wanted to do that, but were
unable. We could use those examples in the comments instead of the ones I
had.

MD6b. Should we document changes in the registry via those comments?

Those were the examples that I gave -- but I'm not wedded to that -- they
were just the first examples I came up with. On the other hand, I really
like having the ability to have, at least at a gross level, some statement
of what was done to the file for at least the change between this version
and the last (if not the 'running total').

Mark

---

From: Peter Constable <[email-masked]>
Date: Wed, 13 Feb 2008 13:32:54 -0800

Other than possible impact on existing parsers, I don’t see a problem with have comment fields in the File-Date record, or having comments before or after the File-Date record.

I’ll note, though, that this is a *new* technical change. If we’re in WG last-call, I hope we don’t get bogged down in feature creep.

Peter

From: [email-masked] [mailto:[email-masked]] On Behalf Of Mark Davis
Sent: Wednesday, February 13, 2008 12:58 PM
To: Randy Presuhn
Cc: LTRU Working Group
Subject: Re: [Ltru] source standards' dates in comment registry Draft-4645bis

We have had various cases come up where we wanted to do that, but were unable. We could use those examples in the comments instead of the ones I had.

Those were the examples that I gave -- but I'm not wedded to that -- they were just the first examples I came up with. On the other hand, I really like having the ability to have, at least at a gross level, some statement of what was done to the file for at least the change between this version and the last (if not the 'running total').

Mark
On Feb 13, 2008 12:34 PM, Randy Presuhn <[email-masked]<mailto:[email-masked]>> wrote:
Hi -

> From: "Mark Davis" <[email-masked]<mailto:[email-masked]>>
> To: "Addison Phillips" <[email-masked]<mailto:[email-masked]>>
> Cc: "Randy Presuhn" <[email-masked]<mailto:[email-masked]>>; "LTRU Working Group" <[email-masked]<mailto:[email-masked]>>

...

Randy

_______________________________________________
Ltru mailing list
[email-masked]<mailto:[email-masked]>
http://www.ietf.org/mailman/listinfo/ltru

---

From: "Randy Presuhn" <[email-masked]>
Date: Wed, 13 Feb 2008 13:44:03 -0800

Hi -

> From: "Peter Constable" <[email-masked]>
> To: "LTRU Working Group" <[email-masked]>
> Sent: Wednesday, February 13, 2008 1:32 PM
> Other than possible impact on existing parsers,

For me, this means there needs to be a *huge* benefit to making
such a change to justify the risk.  I don't see it.  This kind
of revision history information is of value to the maintainer of
the registry, rather than the user, and could just as well be
kept "out of band" (and probably already exists whatever revision
control software is used to maintain the file)

> I don’t see a problem with have comment fields in the File-Date record,
> or having comments before or after the File-Date record.
>
> I’ll note, though, that this is a *new* technical change.
> If we’re in WG last-call, I hope we don’t get bogged down in feature creep.

Agreed.

Randy